Possible issue with private-network bookkeeping (DAQInterface) on the protoDUNE DAQ cluster
Description

When trying to take data at protoDUNE with dune-artdaq software based on e17:s83 and the latest DAQInterface v3_00_07e, | found
that data requests were not successfully being transmitted between EventBuilders and BoardReaders. Below, I've included the
results of a "grep" for "multicast” in the run_records directory for the run in question.

| wonder if the problem is related to the fact that the BR computers only see the 10.73.136.0 network, while the EB computers see
both 10.73.136.0 and 10.73.138.0.

[np04dag@np04-srv-001 9868]$ date
Wed Oct 16 22:56:45 CEST 2019
[np04dag@np04-srv-001 9868]$ pwd
/nfs/sw/artdaqg/run_records/9868

[np04dag@np04-srv-001 9868]$ grep multicast *

cob3_rce05.fcl:

multicast_interface_ip: "0.0.0.0"

cob3_rce05.fcl: table_update_multicast_interface: "10.73.136.0"
cob3_rce06.fcl:  multicast_interface_ip: "0.0.0.0"
cob3_rce06.fcl: table_update_multicast_interface: "10.73.136.0"
cob3_rce07.fcl:  multicast_interface_ip: "0.0.0.0"
cob3 rce07.fcl: table_update_multicast_interface: "10.73.136.0"
cob3_rce08.fcl:  multicast_interface_ip: "0.0.0.0"
cob3_rce08.fcl: table_update_multicast_interface: "10.73.136.0"
cob4_rceO1.fcl:  multicast_interface_ip: "0.0.0.0"
cob4_rce01.fcl: table_update_multicast_interface: "10.73.136.0"
cob4_rce02.fcl:  multicast_interface_ip: "0.0.0.0"
cob4_rce02.fcl: table_update_multicast_interface: "10.73.136.0"
cob4_rce03.fcl:  multicast_interface_ip: "0.0.0.0"
cob4 rce03.fcl: table_update_multicast_interface: "10.73.136.0"
cob4_rceO4.fcl:  multicast_interface_ip: "0.0.0.0"
cob4_rce04.fcl: table_update_multicast_interface: "10.73.136.0"
cob4_rce05.fcl:  multicast_interface_ip: "0.0.0.0"
cob4_rce05.fcl: table_update_multicast_interface: "10.73.136.0"
cob4_rce06.fcl:  multicast_interface_ip: "0.0.0.0"
cob4_rce06.fcl: table_update_multicast_interface: "10.73.136.0"

EventBuilder11.fcl:  multicast_interface_ip: "10.73.138.0"
EventBuilder3.fcl: multicast_interface_ip: "10.73.138.0"
timing_3.fcl:  multicast_interface_ip: "0.0.0.0"

timing_3.fcl: table_update_multicast_interface: "10.73.136.0"

Associated revisions

Revision 3b3ddf39 - 10/18/2019 01:36 PM - John Freeman

JCF: Issue #23431: when checking for a boardreader's request mode, don't assume the value is enclosed in quotes

History

#1 - 10/18/2019 01:51 PM - John Freeman
- % Done changed from 0 to 100

- Status changed from New to Resolved

The issue is resolved via the one and only commit on bugfix/23431_fix_private_network_bookkeeping,
3b3ddf39cb9e2275ed83783c04b3f30bc020933e. Basically, there was a line in bookkeeping intended to determine whether boardreaders were
receiving requests or not:

[

res = re.search(r"\n\s*request_mode\s*:\s*\"$s\"" % (token), procinfo.fhicl_used)

which was missing the case where the request mode value wasn't surrounded with quotes (e.g., request_mode: window instead of request_mode:
"window"). So the new line is:

[

res = re.search(r"\n\s*request_mode\s*:\s*\"?%s\"?" % (token), procinfo.fhicl_used)
i.e., the added question marks make the quotes optional.

On the ProtoDUNE cluster, the repo /nfs/sw/.artdag-utilities-daginterface currently is at the aforementioned commit. For testing, to use it instead of a
tagged DAQInterface, in your favorite /nfs/sw/artdag/DAQInterface/source_me[0-6] file just change

setup artdag _daginterface v3_00_07e
#. /nfs/sw/artdaq/DAQInterface2/mock_ups_setup.sh

to

#setup artdag_daginterface v3_00_07e
/nfs/sw/artdaq/DAQInterface2/mock_ups_setup.sh

#2 - 10/21/2019 03:12 PM - John Freeman

- Status changed from Resolved to Reviewed

Kurt's tested this bugfix branch successfully on the ProtoDUNE cluster, so I'm marking the issue as Reviewed.
